#[derive(Clone, Eq, Hash, PartialEq)]
pub enum StatementKind
{
	Axiom,
	Completion,
	Assumption,
	Assertion,
}

pub struct Statement
{
	pub kind: StatementKind,
	pub original_text: String,
	pub formula: foliage::Formula,
}

pub enum Block
{
	Statement(Statement),
	Whitespace(String),
}

pub struct Project
{
	pub blocks: Vec<Block>,
}
